<app-page-title [heading]="heading" [subheading]="subheading" [icon]="icon">
  <button (click)="getInfo()" class="btn btn-primary">
    <i class="fa fa-search mr-2"></i>Buscar
  </button>
  <button type="button" class="btn btn-danger ml-1" (click)="getInfo()" [disabled]="dataGrid.length == 0">
    <i class="fa fa-file-pdf mr-2"></i>PDF
  </button>
</app-page-title>

<div class="main-card mb-3 card">
  <div class="card-body">

    <form [formGroup]="ngForm">
      <div class="row">
        <div class="col-sm-3 col-md-2 col-lg-2 col-xl-2 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="1" id="PorFecha" class="k-radio mt-2"
            [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="PorFecha">Cuartos Disponibles a Fecha</label>
          <input type="radio" name="iInt1" formControlName="iInt1" value="2" id="Todos" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="Todos">Todos los Cuartos</label>
        </div>
        <div class="form-group col-4 col-sm-2 col-md-2 col-lg-2 col-xl-2" *ngIf="ngForm.value.iInt1 == 1">
          <label class="w-100"></label>
          <input type="checkbox" id="lLog1" class="k-checkbox mt-2" formControlName="lLog1">
          <label class="k-checkbox-label mt-2" for="lLog1">Incluir Discrepancias</label>
        </div>
        <div class="form-group col-12 col-sm-4 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Desde</label>
          <kendo-datepicker formControlName="fFec1" class="w-100" [format]="formatKendo">
          </kendo-datepicker>
        </div>
        <div class="form-group col-12 col-sm-4 col-md-3 col-lg-3 col-xl-3">
          <label class="w-100">Hasta</label>
          <kendo-datepicker formControlName="fFec2" class="w-100" [format]="formatKendo" [min]="ngForm.value.fFec1">
          </kendo-datepicker>
        </div>
        <div class="col-sm-2 col-md-1 col-lg-1 col-xl-1 form-group">
          <label class="w-100"></label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="1" id="folio" class="k-radio mt-2"
            [checked]="true">
          <label class="k-radio-label mr-2 mt-2 w-100" for="folio">Folio</label>
          <input type="radio" name="iInt2" formControlName="iInt2" value="2" id="nombre" class="k-radio">
          <label class="k-radio-label mr-2 w-100" for="nombre">Nombre</label>
        </div>
      </div>

    </form>

    <div class="divider"></div>

    <kendo-grid [kendoGridBinding]="dataGrid" *ngIf="!loading" [selectable]="true" [filter]="filter" [filterable]="true"
      (filterChange)="filterChange($event)" [navigable]="true" [reorderable]="true" [resizable]="true" [sortable]="true"
      [pageSize]="pageSize" [skip]="skip" [pageable]="{buttonCount: 5, pageSizes: [10, 25, 50]}" style="height: 60vh;"
      class="mt-1">
      <div *ngIf="dataGrid.length !== 0">
        <ng-template kendoGridToolbarTemplate>
          <button type="button" class="btn btn-success" kendoGridExcelCommand icon="file-excel">Excel</button>
        </ng-template>
        <kendo-grid-column field="NoCuarto" title="No. Cuarto" width="100"></kendo-grid-column>
        <kendo-grid-column field="Virtula1" title="Virtual 1" width="130"></kendo-grid-column>
        <kendo-grid-column field="Virtual2" title="Virtual 2" width="130"></kendo-grid-column>
        <kendo-grid-column field="Virtual3" title="Virtual 3" width="130"></kendo-grid-column>
        <kendo-grid-column field="TipoCuarto" title="Tipo Cuarto" width="130"></kendo-grid-column>
        <kendo-grid-column field="AmaLlaves" title="A.L." width="70" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="Sistemas" title="Sist." width="70" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="Revision" title="Rev." width="70" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column field="Botones" title="Bot." width="70" [filterable]="false"></kendo-grid-column>
        <kendo-grid-column *ngFor="let n of ctos; let i=index" field="n.Color" title="{{n.Fecha}}" width="120"
          [filterable]="false">
          <ng-template kendoGridHeaderTemplate let-dataItem>{{ n.Fecha | date: 'MM-dd' }}
          </ng-template>
        </kendo-grid-column>
      </div>
      <kendo-grid-excel fileName="{{this.heading}}.xlsx" [fetchData]="allData"></kendo-grid-excel>
      <ng-template kendoGridNoRecordsTemplate>
        {{ noRecords }}
      </ng-template>
    </kendo-grid>

  </div>
  <app-loading *ngIf="loading"></app-loading>
</div>